/*
GERAL
*/

@import url('https://fonts.googleapis.com/css2?family=Red+Hat+Display:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Red+Hat+Text:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap');

:root {
    --cor1: #E4002B;
    --cor2: #155CFC;
    --cor3: #F2F2F2;
    --cor4: #F3F7FF;
}

*{
    margin: 0;
    padding: 0;
    text-decoration: none;
    list-style: none;
    font-family: 'Red Hat Text', sans-serif;
    font-weight: 400;
}

h1, h2, h3{
    font-family: 'Red Hat Display', sans-serif;
    font-weight: 900;
    font-size: 24px;
}

h5, h6{
    font-weight: 700;
    font-size: 16px;
}

img{
    display: block;
}

.navactive{
    font-weight: 500;
}

section{
    max-width: 346px;
    margin-left: auto;
    margin-right: auto;
}

p{
    font-size: 16px;
}

/*
NAVEGADOR
*/

nav{
    margin: 24px 32px;
    text-align: center;
}

nav div{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

nav div i{
    font-size: 32px;
    cursor: pointer;
    border: solid 1px #e5e5e5;
    padding: 0px 8px;
    border-radius: 8px;
}

.hamburguerclicado{
    background-color: #E5E5E5;
}

nav ul{
    background: #fff;
    height: 0;
    z-index: 1000;
    visibility: hidden;
    overflow-y: hidden;
    transition: .8s;
}

nav ul.open{
    height: 180px;
    visibility: visible;
} 

nav ul li a{
    display: block;
    padding: 20px 0;
    color: #000;
    transition: .4s ease;
}

.link1{
    margin-top: 20px;
}

.link3{
    padding-bottom: 0;
}

nav ul li a:visited{
    color: #000;
}

/*
CABEÇALHO
*/

header{
    padding: 10vh 0;
    text-align: center;
}

header h1{
    font-size: 32px;
    line-height: 1.2;
    max-width: 310px;
    margin: 0 auto 4px auto;
}

header p{
    max-width: 300px;
    margin: 0 auto 32px auto;
}

/*
FORMULARIO
*/

form{
    margin: 80px auto;
    text-align: start;
    display: flex;
    flex-wrap: wrap;
    width: 80%;
    justify-content: flex-end;
}

form > div{
    flex-basis: 100%;
    margin-left: auto;
    margin-right: auto;;
}

form label{
    display: inline-block;
    margin-left: 10px;
    margin-bottom: 4px;
}

form input{
    background-color: #F2F2F2;
    font-size: 16px;
    height: 56px;
    border: none;
    margin-bottom: 24px;
    border-radius: 8px;
    width: 100%;
    box-sizing: border-box;
    padding: 12px;
}

form textarea{
    background-color: #F2F2F2;
    border: none;
    margin-bottom: 24px;
    width: 100%;
    height: 150px;
    border-radius: 8px;
    box-sizing: border-box;
    padding: 10px 12px;
    font-size: 16px;
}

.g-recaptcha{
    display: inline;
    margin-bottom: 24px;
}

form button{
    padding: 24px 32px;
    background-color: #e4002b;
    color: white;
    border: none;
    border-radius: 8px;
    font-size: 16px;
    font-weight: 700;
    cursor: pointer;
}

/*
RODAPÉ
*/

footer{
    text-align: center;
    background-color: var(--cor2);
    padding: 16px;
    color: #ffffff;
}

/*
OBRIGADO
*/

#obg{
    margin-top: 30vh;
}

#ok{
    color: #14C95D;
    font-size: 48px;
    margin-bottom: 16px;
}

@media (min-width: 768px) {
    
    /*
    GERAL
    */
    
    section, header{
        max-width: 700px;
        margin-left: auto;
        margin-right: auto;
    }
    
    h2, h3{
        font-size: 32px;
    }
    
    /*
    NAVEGAÇÃO
    */
    
    nav{
        max-width: 560px;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 0;
    }
    
    /*
    CABEÇALHO
    */

    header{
        padding: 15vh 0;
    }
    
    header h1{
        font-size: 32px;
        max-width: 650px;
    }

    header p{
        max-width: 456px;
        font-size: 16px;
    }
    
    /*
    FORMULÁRIO
    */
    
    form{
        margin-top: 96px;
        margin-bottom: 0;
        justify-content: space-between;
    }
    
    #input_whatsapp{
        flex-basis: 47%;
        margin: 0;
    }
    
    #input_email{
        flex-basis: 47%;
        margin: 0;
    }
    
    button{
        margin-left: auto; 
    }
    
}

@media (min-width: 992px) {
    
    /*
    GERAL
    */
    
    section, header{
        max-width: 800px;
    }
    
    header h1{
        font-size: 40px;
    }
    
    /*
    NAVEGAÇÃO
    */
    
    nav{
        max-width: 700px;
    }

    nav{
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }

    nav div i{
        display: none;
    }

    nav ul{
        display: flex;
        align-items: center;
        gap: 32px;
        height: 100%;
        visibility: visible;
    }

    nav ul li a{
        padding: 0;
    }

    .link1{
        margin-top: 0px;
    }

    .cta_nav{
        margin-top: 0px; 
        margin-bottom: 0px
    }
}

@media (min-width: 1200px) {
    
    /*
    GERAL
    */
    
    section, header{
        max-width: 1000px;
    }
    
    /*
    NAVEGAÇÃO
    */
    
    nav{
        max-width: 840px;
    }
    
    /*
    CABEÇALHO
    */
    
    header{
        padding: 18vh 0;
    }
    
    header h1{
        font-size: 40px;
        max-width: 650px;
    }
    
    /*
    FORMULARIO
    */
    
    form{
        width: 50%;
    }
}

@media (min-width: 1400px) {
    
    /*
    GERAL
    */
    
    section, header{
        max-width: 1280px;
    }
    
    /*
    NAVEGAÇÃO
    */
    
    nav{
        max-width: 1120px;
    }
    
    /*
    CABEÇALHO
    */

    header h1{
        font-size: 48px;
        max-width: 800px;
    }
    
    /*
    FORMULARIO
    */
    
    form{
        width: 40%;
    }
    
}


















